package ch.mydoli.focal.ui.settings

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.fragment.app.Fragment
import ch.mydoli.focal.R
import ch.mydoli.focal.databinding.FragmentLicenseBinding
import com.google.android.material.bottomnavigation.BottomNavigationView
import com.mikepenz.aboutlibraries.LibsBuilder


class LicenseFragment : Fragment() {

    private var _binding: FragmentLicenseBinding? = null

    // This property is only valid between onCreateView and
    // onDestroyView.
    private val binding get() = _binding!!

    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View {
        _binding = FragmentLicenseBinding.inflate(inflater, container, false)

        // Hide bottom navigation bar
        val navView: BottomNavigationView = requireActivity().findViewById(R.id.nav_view)
        navView.visibility = View.GONE

        val librariesFragment = LibsBuilder()
            .withActivityTitle(getString(R.string.setting_licenses))
            .withLicenseShown(true)
            .supportFragment()

        requireActivity().supportFragmentManager.beginTransaction()
            .replace(R.id.license_fragment_view, librariesFragment)
            .commit()

        return binding.root
    }

    override fun onDestroyView() {
        super.onDestroyView()
        _binding = null
    }
}